﻿using BlacksmithWorkshopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.ViewModels
{
    //класс для отображения пользователю информаци о продуктах
    public class ProductViewModel : IArticleModel
    {
        public int Id { get; set; }

        [DisplayName("Навание изделия")]
        public string ArticleName { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        public Dictionary<int, (IWorkPieceModel, int)> ArticleWorkPiece { get; set; } = new();
    }
}
