﻿using BlacksmithWorkshopDataModels.Models;
using System.ComponentModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.ViewModels
{
    //класс для отображения пользователю данных о компонентах 
    public  class ComponentViewModel : IWorkPieceModel
    {
        public int Id { get; set; }

        [DisplayName("Название компонента")]
        public string WorkPieceName { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Cost { get; set; }
    }
}
